tbb::flow::interface11::receiver_gateway< Input > Class Template Referenceabstract

`#include <flow_graph_abstractions.h>`

Inheritance diagram for tbb::flow::interface11::receiver_gateway< Input >:
Collaboration diagram for tbb::flow::interface11::receiver_gateway< Input >:

## Public Types

typedef Input | input_type
| Type of inputing data into FG. More...

## Public Member Functions

virtual bool | try_put (const input_type &)=0
| Submit signal from an asynchronous activity to FG. More...
Public Member Functions inherited from tbb::flow::interface11::graph_proxy
virtual void | reserve_wait ()=0
| Inform a graph that messages may come from outside, to prevent premature graph completion. More...
virtual void | release_wait ()=0
| Inform a graph that a previous call to reserve_wait is no longer in effect. More...
virtual | ~graph_proxy ()

## Detailed Description

### template<typename Input>
class tbb::flow::interface11::receiver_gateway< Input >

Definition at line 37 of file flow_graph_abstractions.h.

## Member Typedef Documentation

## input_type

template<typename Input>

typedef Input tbb::flow::interface11::receiver_gateway< Input >::input_type

Type of inputing data into FG.

Definition at line 40 of file flow_graph_abstractions.h.

## Member Function Documentation

## try_put()

template<typename Input>

virtual bool tbb::flow::interface11::receiver_gateway< Input >::try_put | ( | const input_type & |  | ) |

pure virtual

Submit signal from an asynchronous activity to FG.

Implemented in tbb::flow::interface11::async_node< Input, Output, Policy, Allocator >::receiver_gateway_impl.

The documentation for this class was generated from the following file:

- flow_graph_abstractions.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.